Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021199
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2012-07-25 10:082012-07-31 10:35
ReporterjecharriView Statuspublic 
Assigned Tojecharri 
PriorityimmediateResolutionfixedFixed in Version3.0MP14
StatusclosedFix in branchFixed in SCM revision6ad71b9bb6c3
ProjectionnoneETAnoneTarget Version3.0MP14
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2012-04-03
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/367f4c3538f7 [^]
Triggers an Emergency Packyes
Summary

0021199: Module script DeleteInventoryLines is incomplete

DescriptionModule script DeleteInventoryLines is incomplete because it is deleting m_storage_detail records but is not taking into account that these lines can be referenced in table m_stock_aux. So it is neccesary to delete first these records, in case that the quantity or qtyorder is null or 0.

Steps To ReproduceUsing older MP than 11 import some inventory lines with product with mandatory attribute set. This will create 2 records in m_storage_detail, one with product with attribute set and another without (this lines is wrong).

Use this products in production process(in a Work Requirement and execute "create standards" process.

This operation will insert some records in m_stock_aux related to m_storage_detail lines.

Upgrade your instance to a MP13, module script "DeleteInventoryLines" will delete m_storage_detail lines but not m_stock_aux records, so the users will not be able to upgrade the instance because in MP13 the rebuild stops if a constraint is breached.
Proposed SolutionDo not delete m_storage_detail lines if it has a related m_stock_aux lines, and if the m_stock_aux lines have quantity = 0 and qtyorder = 0, delete first these records and after that m_storage_detail lines.
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00212643.0MP14 closedjecharri Module script DeleteInventoryLines is incomplete and the processes related 

-  Notes
(0050827)
hgbot (developer)
2012-07-25 12:27

Repository: erp/devel/pi
Changeset: 6ad71b9bb6c387d0ef70a90c5b0899cd5faba33d
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Jul 25 12:27:17 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6ad71b9bb6c387d0ef70a90c5b0899cd5faba33d [^]

Fixes issue 021199: Module script DeleteInventoryLines is incomplete

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/DeleteInventoryLines.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/DeleteInventoryLinesData.class
M src-util/modulescript/src/org/openbravo/modulescript/DeleteInventoryLines.java
M src-util/modulescript/src/org/openbravo/modulescript/DeleteInventoryLines_data.xsql
---
(0050828)
hgbot (developer)
2012-07-25 12:41

Repository: erp/devel/pi
Changeset: ea94fc41640ae6a776a5fdf31415a7c30d7649e2
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Jul 25 12:40:51 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ea94fc41640ae6a776a5fdf31415a7c30d7649e2 [^]

issue 021199: Module script DeleteInventoryLines is incomplete.
The character ; is not necessary and create a fail in oracle

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/DeleteInventoryLinesData.class
M src-util/modulescript/src/org/openbravo/modulescript/DeleteInventoryLines_data.xsql
---
(0050879)
hudsonbot (developer)
2012-07-26 02:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5edf203d5780 [^]

Maturity status: Test
(0050880)
hudsonbot (developer)
2012-07-26 02:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5edf203d5780 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-07-25 10:08 jecharri New Issue
2012-07-25 10:08 jecharri Assigned To => jecharri
2012-07-25 10:08 jecharri Web browser => Google Chrome
2012-07-25 10:08 jecharri Modules => Core
2012-07-25 10:10 jecharri Web browser Google Chrome => Google Chrome
2012-07-25 10:10 jecharri Regression level => Production - Confirmed Stable
2012-07-25 10:10 jecharri Regression date => 2012-04-03
2012-07-25 10:10 jecharri Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/367f4c3538f7 [^]
2012-07-25 10:11 jecharri Tag Attached: Regression
2012-07-25 11:46 jecharri Web browser Google Chrome => Google Chrome
2012-07-25 11:46 jecharri Steps to Reproduce Updated View Revisions
2012-07-25 12:27 hgbot Checkin
2012-07-25 12:27 hgbot Note Added: 0050827
2012-07-25 12:27 hgbot Status new => resolved
2012-07-25 12:27 hgbot Resolution open => fixed
2012-07-25 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6ad71b9bb6c387d0ef70a90c5b0899cd5faba33d [^]
2012-07-25 12:41 hgbot Checkin
2012-07-25 12:41 hgbot Note Added: 0050828
2012-07-26 02:42 hudsonbot Checkin
2012-07-26 02:42 hudsonbot Note Added: 0050879
2012-07-26 02:42 hudsonbot Checkin
2012-07-26 02:42 hudsonbot Note Added: 0050880
2012-07-31 10:35 gorkaion Status resolved => closed
2012-07-31 10:35 gorkaion Fixed in Version => 3.0MP14
2012-07-31 13:28 VictorVillar Relationship added related to 0021264


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker